package com.mortals.xhx.module.perform.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.perform.model.PerformPerposeEntity;
/**
 * 考核目标查询对象
 *
 * @author zxfei
 * @date 2023-05-17
 */
public class PerformPerposeQuery extends PerformPerposeEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 负责人id号 */
    private Long ownerIdStart;

    /** 结束 负责人id号 */
    private Long ownerIdEnd;

    /** 增加 负责人id号 */
    private Long ownerIdIncrement;

    /** 负责人id号列表 */
    private List <Long> ownerIdList;

    /** 负责人id号排除列表 */
    private List <Long> ownerIdNotList;

    /** 负责人名称 */
    private List<String> ownerNameList;

    /** 负责人名称排除列表 */
    private List <String> ownerNameNotList;
    /** 开始 窗口工作人员id号 */
    private Long staffIdStart;

    /** 结束 窗口工作人员id号 */
    private Long staffIdEnd;

    /** 增加 窗口工作人员id号 */
    private Long staffIdIncrement;

    /** 窗口工作人员id号列表 */
    private List <Long> staffIdList;

    /** 窗口工作人员id号排除列表 */
    private List <Long> staffIdNotList;

    /** 开始 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率) */
    private Integer assessmentTypeStart;

    /** 结束 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率) */
    private Integer assessmentTypeEnd;

    /** 增加 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率) */
    private Integer assessmentTypeIncrement;

    /** 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)列表 */
    private List <Integer> assessmentTypeList;

    /** 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)排除列表 */
    private List <Integer> assessmentTypeNotList;

    /** 开始 考核范围(1.部门,2.个人) */
    private Integer assessmentScopeStart;

    /** 结束 考核范围(1.部门,2.个人) */
    private Integer assessmentScopeEnd;

    /** 增加 考核范围(1.部门,2.个人) */
    private Integer assessmentScopeIncrement;

    /** 考核范围(1.部门,2.个人)列表 */
    private List <Integer> assessmentScopeList;

    /** 考核范围(1.部门,2.个人)排除列表 */
    private List <Integer> assessmentScopeNotList;

    /** 开始 考比较类型(1.不高于,2.等于,3.不低于) */
    private Integer compareScopeStart;

    /** 结束 考比较类型(1.不高于,2.等于,3.不低于) */
    private Integer compareScopeEnd;

    /** 增加 考比较类型(1.不高于,2.等于,3.不低于) */
    private Integer compareScopeIncrement;

    /** 考比较类型(1.不高于,2.等于,3.不低于)列表 */
    private List <Integer> compareScopeList;

    /** 考比较类型(1.不高于,2.等于,3.不低于)排除列表 */
    private List <Integer> compareScopeNotList;

    /** 开始 比例 */
    private BigDecimal ratioStart;

    /** 结束 比例 */
    private BigDecimal ratioEnd;

    /** 增加 比例 */
    private BigDecimal ratioIncrement;

    /** 比例列表 */
    private List <BigDecimal> ratioList;

    /** 比例排除列表 */
    private List <BigDecimal> ratioNotList;

    /** 开始 周期类型(1.全年,2.半年,3.季度4.月份) */
    private Integer periodTypeStart;

    /** 结束 周期类型(1.全年,2.半年,3.季度4.月份) */
    private Integer periodTypeEnd;

    /** 增加 周期类型(1.全年,2.半年,3.季度4.月份) */
    private Integer periodTypeIncrement;

    /** 周期类型(1.全年,2.半年,3.季度4.月份)列表 */
    private List <Integer> periodTypeList;

    /** 周期类型(1.全年,2.半年,3.季度4.月份)排除列表 */
    private List <Integer> periodTypeNotList;

    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 半年类型(1.上半年,2.下半年) */
    private Integer halfYearStart;

    /** 结束 半年类型(1.上半年,2.下半年) */
    private Integer halfYearEnd;

    /** 增加 半年类型(1.上半年,2.下半年) */
    private Integer halfYearIncrement;

    /** 半年类型(1.上半年,2.下半年)列表 */
    private List <Integer> halfYearList;

    /** 半年类型(1.上半年,2.下半年)排除列表 */
    private List <Integer> halfYearNotList;

    /** 开始 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度) */
    private Integer quarterStart;

    /** 结束 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度) */
    private Integer quarterEnd;

    /** 增加 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度) */
    private Integer quarterIncrement;

    /** 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)列表 */
    private List <Integer> quarterList;

    /** 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)排除列表 */
    private List <Integer> quarterNotList;

    /** 负责人，多个逗号分割 */
    private List<String> leadersList;

    /** 负责人，多个逗号分割排除列表 */
    private List <String> leadersNotList;
    /** 负责人电话，多个逗号分割 */
    private List<String> leaderMobilesList;

    /** 负责人电话，多个逗号分割排除列表 */
    private List <String> leaderMobilesNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformPerposeQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformPerposeQuery> andConditionList;

    public PerformPerposeQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 负责人id号
     * @return ownerIdStart
     */
    public Long getOwnerIdStart(){
        return this.ownerIdStart;
    }

    /**
     * 设置 开始 负责人id号
     * @param ownerIdStart
     */
    public void setOwnerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
    }

    /**
     * 获取 结束 负责人id号
     * @return $ownerIdEnd
     */
    public Long getOwnerIdEnd(){
        return this.ownerIdEnd;
    }

    /**
     * 设置 结束 负责人id号
     * @param ownerIdEnd
     */
    public void setOwnerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
    }

    /**
     * 获取 增加 负责人id号
     * @return ownerIdIncrement
     */
    public Long getOwnerIdIncrement(){
        return this.ownerIdIncrement;
    }

    /**
     * 设置 增加 负责人id号
     * @param ownerIdIncrement
     */
    public void setOwnerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
    }

    /**
     * 获取 负责人id号
     * @return ownerIdList
     */
    public List<Long> getOwnerIdList(){
        return this.ownerIdList;
    }

    /**
     * 设置 负责人id号
     * @param ownerIdList
     */
    public void setOwnerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
    }

    /**
     * 获取 负责人id号
     * @return ownerIdNotList
     */
    public List<Long> getOwnerIdNotList(){
        return this.ownerIdNotList;
    }

    /**
     * 设置 负责人id号
     * @param ownerIdNotList
     */
    public void setOwnerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
    }


    /**
     * 获取 负责人名称
     * @return ownerNameList
     */
    public List<String> getOwnerNameList(){
        return this.ownerNameList;
    }

    /**
     * 设置 负责人名称
     * @param ownerNameList
     */
    public void setOwnerNameList(List<String> ownerNameList){
        this.ownerNameList = ownerNameList;
    }

    /**
     * 获取 负责人名称
     * @return ownerNameNotList
     */
    public List<String> getOwnerNameNotList(){
        return this.ownerNameNotList;
    }

    /**
     * 设置 负责人名称
     * @param ownerNameNotList
     */
    public void setOwnerNameNotList(List<String> ownerNameNotList){
        this.ownerNameNotList = ownerNameNotList;
    }

    /**
     * 获取 开始 窗口工作人员id号
     * @return staffIdStart
     */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
     * 设置 开始 窗口工作人员id号
     * @param staffIdStart
     */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
     * 获取 结束 窗口工作人员id号
     * @return $staffIdEnd
     */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
     * 设置 结束 窗口工作人员id号
     * @param staffIdEnd
     */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
     * 获取 增加 窗口工作人员id号
     * @return staffIdIncrement
     */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
     * 设置 增加 窗口工作人员id号
     * @param staffIdIncrement
     */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
     * 获取 窗口工作人员id号
     * @return staffIdList
     */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
     * 设置 窗口工作人员id号
     * @param staffIdList
     */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
     * 获取 窗口工作人员id号
     * @return staffIdNotList
     */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
     * 设置 窗口工作人员id号
     * @param staffIdNotList
     */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
     * 获取 开始 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @return assessmentTypeStart
     */
    public Integer getAssessmentTypeStart(){
        return this.assessmentTypeStart;
    }

    /**
     * 设置 开始 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeStart
     */
    public void setAssessmentTypeStart(Integer assessmentTypeStart){
        this.assessmentTypeStart = assessmentTypeStart;
    }

    /**
     * 获取 结束 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @return $assessmentTypeEnd
     */
    public Integer getAssessmentTypeEnd(){
        return this.assessmentTypeEnd;
    }

    /**
     * 设置 结束 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeEnd
     */
    public void setAssessmentTypeEnd(Integer assessmentTypeEnd){
        this.assessmentTypeEnd = assessmentTypeEnd;
    }

    /**
     * 获取 增加 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @return assessmentTypeIncrement
     */
    public Integer getAssessmentTypeIncrement(){
        return this.assessmentTypeIncrement;
    }

    /**
     * 设置 增加 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeIncrement
     */
    public void setAssessmentTypeIncrement(Integer assessmentTypeIncrement){
        this.assessmentTypeIncrement = assessmentTypeIncrement;
    }

    /**
     * 获取 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @return assessmentTypeList
     */
    public List<Integer> getAssessmentTypeList(){
        return this.assessmentTypeList;
    }

    /**
     * 设置 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeList
     */
    public void setAssessmentTypeList(List<Integer> assessmentTypeList){
        this.assessmentTypeList = assessmentTypeList;
    }

    /**
     * 获取 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @return assessmentTypeNotList
     */
    public List<Integer> getAssessmentTypeNotList(){
        return this.assessmentTypeNotList;
    }

    /**
     * 设置 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeNotList
     */
    public void setAssessmentTypeNotList(List<Integer> assessmentTypeNotList){
        this.assessmentTypeNotList = assessmentTypeNotList;
    }


    /**
     * 获取 开始 考核范围(1.部门,2.个人)
     * @return assessmentScopeStart
     */
    public Integer getAssessmentScopeStart(){
        return this.assessmentScopeStart;
    }

    /**
     * 设置 开始 考核范围(1.部门,2.个人)
     * @param assessmentScopeStart
     */
    public void setAssessmentScopeStart(Integer assessmentScopeStart){
        this.assessmentScopeStart = assessmentScopeStart;
    }

    /**
     * 获取 结束 考核范围(1.部门,2.个人)
     * @return $assessmentScopeEnd
     */
    public Integer getAssessmentScopeEnd(){
        return this.assessmentScopeEnd;
    }

    /**
     * 设置 结束 考核范围(1.部门,2.个人)
     * @param assessmentScopeEnd
     */
    public void setAssessmentScopeEnd(Integer assessmentScopeEnd){
        this.assessmentScopeEnd = assessmentScopeEnd;
    }

    /**
     * 获取 增加 考核范围(1.部门,2.个人)
     * @return assessmentScopeIncrement
     */
    public Integer getAssessmentScopeIncrement(){
        return this.assessmentScopeIncrement;
    }

    /**
     * 设置 增加 考核范围(1.部门,2.个人)
     * @param assessmentScopeIncrement
     */
    public void setAssessmentScopeIncrement(Integer assessmentScopeIncrement){
        this.assessmentScopeIncrement = assessmentScopeIncrement;
    }

    /**
     * 获取 考核范围(1.部门,2.个人)
     * @return assessmentScopeList
     */
    public List<Integer> getAssessmentScopeList(){
        return this.assessmentScopeList;
    }

    /**
     * 设置 考核范围(1.部门,2.个人)
     * @param assessmentScopeList
     */
    public void setAssessmentScopeList(List<Integer> assessmentScopeList){
        this.assessmentScopeList = assessmentScopeList;
    }

    /**
     * 获取 考核范围(1.部门,2.个人)
     * @return assessmentScopeNotList
     */
    public List<Integer> getAssessmentScopeNotList(){
        return this.assessmentScopeNotList;
    }

    /**
     * 设置 考核范围(1.部门,2.个人)
     * @param assessmentScopeNotList
     */
    public void setAssessmentScopeNotList(List<Integer> assessmentScopeNotList){
        this.assessmentScopeNotList = assessmentScopeNotList;
    }


    /**
     * 获取 开始 考比较类型(1.不高于,2.等于,3.不低于)
     * @return compareScopeStart
     */
    public Integer getCompareScopeStart(){
        return this.compareScopeStart;
    }

    /**
     * 设置 开始 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeStart
     */
    public void setCompareScopeStart(Integer compareScopeStart){
        this.compareScopeStart = compareScopeStart;
    }

    /**
     * 获取 结束 考比较类型(1.不高于,2.等于,3.不低于)
     * @return $compareScopeEnd
     */
    public Integer getCompareScopeEnd(){
        return this.compareScopeEnd;
    }

    /**
     * 设置 结束 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeEnd
     */
    public void setCompareScopeEnd(Integer compareScopeEnd){
        this.compareScopeEnd = compareScopeEnd;
    }

    /**
     * 获取 增加 考比较类型(1.不高于,2.等于,3.不低于)
     * @return compareScopeIncrement
     */
    public Integer getCompareScopeIncrement(){
        return this.compareScopeIncrement;
    }

    /**
     * 设置 增加 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeIncrement
     */
    public void setCompareScopeIncrement(Integer compareScopeIncrement){
        this.compareScopeIncrement = compareScopeIncrement;
    }

    /**
     * 获取 考比较类型(1.不高于,2.等于,3.不低于)
     * @return compareScopeList
     */
    public List<Integer> getCompareScopeList(){
        return this.compareScopeList;
    }

    /**
     * 设置 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeList
     */
    public void setCompareScopeList(List<Integer> compareScopeList){
        this.compareScopeList = compareScopeList;
    }

    /**
     * 获取 考比较类型(1.不高于,2.等于,3.不低于)
     * @return compareScopeNotList
     */
    public List<Integer> getCompareScopeNotList(){
        return this.compareScopeNotList;
    }

    /**
     * 设置 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeNotList
     */
    public void setCompareScopeNotList(List<Integer> compareScopeNotList){
        this.compareScopeNotList = compareScopeNotList;
    }


    /**
     * 获取 开始 比例
     * @return ratioStart
     */
    public BigDecimal getRatioStart(){
        return this.ratioStart;
    }

    /**
     * 设置 开始 比例
     * @param ratioStart
     */
    public void setRatioStart(BigDecimal ratioStart){
        this.ratioStart = ratioStart;
    }

    /**
     * 获取 结束 比例
     * @return $ratioEnd
     */
    public BigDecimal getRatioEnd(){
        return this.ratioEnd;
    }

    /**
     * 设置 结束 比例
     * @param ratioEnd
     */
    public void setRatioEnd(BigDecimal ratioEnd){
        this.ratioEnd = ratioEnd;
    }

    /**
     * 获取 增加 比例
     * @return ratioIncrement
     */
    public BigDecimal getRatioIncrement(){
        return this.ratioIncrement;
    }

    /**
     * 设置 增加 比例
     * @param ratioIncrement
     */
    public void setRatioIncrement(BigDecimal ratioIncrement){
        this.ratioIncrement = ratioIncrement;
    }

    /**
     * 获取 比例
     * @return ratioList
     */
    public List<BigDecimal> getRatioList(){
        return this.ratioList;
    }

    /**
     * 设置 比例
     * @param ratioList
     */
    public void setRatioList(List<BigDecimal> ratioList){
        this.ratioList = ratioList;
    }

    /**
     * 获取 比例
     * @return ratioNotList
     */
    public List<BigDecimal> getRatioNotList(){
        return this.ratioNotList;
    }

    /**
     * 设置 比例
     * @param ratioNotList
     */
    public void setRatioNotList(List<BigDecimal> ratioNotList){
        this.ratioNotList = ratioNotList;
    }


    /**
     * 获取 开始 周期类型(1.全年,2.半年,3.季度4.月份)
     * @return periodTypeStart
     */
    public Integer getPeriodTypeStart(){
        return this.periodTypeStart;
    }

    /**
     * 设置 开始 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeStart
     */
    public void setPeriodTypeStart(Integer periodTypeStart){
        this.periodTypeStart = periodTypeStart;
    }

    /**
     * 获取 结束 周期类型(1.全年,2.半年,3.季度4.月份)
     * @return $periodTypeEnd
     */
    public Integer getPeriodTypeEnd(){
        return this.periodTypeEnd;
    }

    /**
     * 设置 结束 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeEnd
     */
    public void setPeriodTypeEnd(Integer periodTypeEnd){
        this.periodTypeEnd = periodTypeEnd;
    }

    /**
     * 获取 增加 周期类型(1.全年,2.半年,3.季度4.月份)
     * @return periodTypeIncrement
     */
    public Integer getPeriodTypeIncrement(){
        return this.periodTypeIncrement;
    }

    /**
     * 设置 增加 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeIncrement
     */
    public void setPeriodTypeIncrement(Integer periodTypeIncrement){
        this.periodTypeIncrement = periodTypeIncrement;
    }

    /**
     * 获取 周期类型(1.全年,2.半年,3.季度4.月份)
     * @return periodTypeList
     */
    public List<Integer> getPeriodTypeList(){
        return this.periodTypeList;
    }

    /**
     * 设置 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeList
     */
    public void setPeriodTypeList(List<Integer> periodTypeList){
        this.periodTypeList = periodTypeList;
    }

    /**
     * 获取 周期类型(1.全年,2.半年,3.季度4.月份)
     * @return periodTypeNotList
     */
    public List<Integer> getPeriodTypeNotList(){
        return this.periodTypeNotList;
    }

    /**
     * 设置 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeNotList
     */
    public void setPeriodTypeNotList(List<Integer> periodTypeNotList){
        this.periodTypeNotList = periodTypeNotList;
    }


    /**
     * 获取 开始 年
     * @return yearStart
     */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
     * 获取 结束 年
     * @return $yearEnd
     */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
     * 获取 增加 年
     * @return yearIncrement
     */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
     * 获取 年
     * @return yearList
     */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
     * 获取 年
     * @return yearNotList
     */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
     * 设置 年
     * @param yearNotList
     */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
     * 获取 开始 月
     * @return monthStart
     */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
     * 获取 结束 月
     * @return $monthEnd
     */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
     * 获取 增加 月
     * @return monthIncrement
     */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
     * 获取 月
     * @return monthList
     */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
     * 获取 月
     * @return monthNotList
     */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
     * 设置 月
     * @param monthNotList
     */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
     * 获取 开始 半年类型(1.上半年,2.下半年)
     * @return halfYearStart
     */
    public Integer getHalfYearStart(){
        return this.halfYearStart;
    }

    /**
     * 设置 开始 半年类型(1.上半年,2.下半年)
     * @param halfYearStart
     */
    public void setHalfYearStart(Integer halfYearStart){
        this.halfYearStart = halfYearStart;
    }

    /**
     * 获取 结束 半年类型(1.上半年,2.下半年)
     * @return $halfYearEnd
     */
    public Integer getHalfYearEnd(){
        return this.halfYearEnd;
    }

    /**
     * 设置 结束 半年类型(1.上半年,2.下半年)
     * @param halfYearEnd
     */
    public void setHalfYearEnd(Integer halfYearEnd){
        this.halfYearEnd = halfYearEnd;
    }

    /**
     * 获取 增加 半年类型(1.上半年,2.下半年)
     * @return halfYearIncrement
     */
    public Integer getHalfYearIncrement(){
        return this.halfYearIncrement;
    }

    /**
     * 设置 增加 半年类型(1.上半年,2.下半年)
     * @param halfYearIncrement
     */
    public void setHalfYearIncrement(Integer halfYearIncrement){
        this.halfYearIncrement = halfYearIncrement;
    }

    /**
     * 获取 半年类型(1.上半年,2.下半年)
     * @return halfYearList
     */
    public List<Integer> getHalfYearList(){
        return this.halfYearList;
    }

    /**
     * 设置 半年类型(1.上半年,2.下半年)
     * @param halfYearList
     */
    public void setHalfYearList(List<Integer> halfYearList){
        this.halfYearList = halfYearList;
    }

    /**
     * 获取 半年类型(1.上半年,2.下半年)
     * @return halfYearNotList
     */
    public List<Integer> getHalfYearNotList(){
        return this.halfYearNotList;
    }

    /**
     * 设置 半年类型(1.上半年,2.下半年)
     * @param halfYearNotList
     */
    public void setHalfYearNotList(List<Integer> halfYearNotList){
        this.halfYearNotList = halfYearNotList;
    }


    /**
     * 获取 开始 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @return quarterStart
     */
    public Integer getQuarterStart(){
        return this.quarterStart;
    }

    /**
     * 设置 开始 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterStart
     */
    public void setQuarterStart(Integer quarterStart){
        this.quarterStart = quarterStart;
    }

    /**
     * 获取 结束 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @return $quarterEnd
     */
    public Integer getQuarterEnd(){
        return this.quarterEnd;
    }

    /**
     * 设置 结束 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterEnd
     */
    public void setQuarterEnd(Integer quarterEnd){
        this.quarterEnd = quarterEnd;
    }

    /**
     * 获取 增加 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @return quarterIncrement
     */
    public Integer getQuarterIncrement(){
        return this.quarterIncrement;
    }

    /**
     * 设置 增加 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterIncrement
     */
    public void setQuarterIncrement(Integer quarterIncrement){
        this.quarterIncrement = quarterIncrement;
    }

    /**
     * 获取 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @return quarterList
     */
    public List<Integer> getQuarterList(){
        return this.quarterList;
    }

    /**
     * 设置 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterList
     */
    public void setQuarterList(List<Integer> quarterList){
        this.quarterList = quarterList;
    }

    /**
     * 获取 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @return quarterNotList
     */
    public List<Integer> getQuarterNotList(){
        return this.quarterNotList;
    }

    /**
     * 设置 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterNotList
     */
    public void setQuarterNotList(List<Integer> quarterNotList){
        this.quarterNotList = quarterNotList;
    }


    /**
     * 获取 负责人，多个逗号分割
     * @return leadersList
     */
    public List<String> getLeadersList(){
        return this.leadersList;
    }

    /**
     * 设置 负责人，多个逗号分割
     * @param leadersList
     */
    public void setLeadersList(List<String> leadersList){
        this.leadersList = leadersList;
    }

    /**
     * 获取 负责人，多个逗号分割
     * @return leadersNotList
     */
    public List<String> getLeadersNotList(){
        return this.leadersNotList;
    }

    /**
     * 设置 负责人，多个逗号分割
     * @param leadersNotList
     */
    public void setLeadersNotList(List<String> leadersNotList){
        this.leadersNotList = leadersNotList;
    }

    /**
     * 获取 负责人电话，多个逗号分割
     * @return leaderMobilesList
     */
    public List<String> getLeaderMobilesList(){
        return this.leaderMobilesList;
    }

    /**
     * 设置 负责人电话，多个逗号分割
     * @param leaderMobilesList
     */
    public void setLeaderMobilesList(List<String> leaderMobilesList){
        this.leaderMobilesList = leaderMobilesList;
    }

    /**
     * 获取 负责人电话，多个逗号分割
     * @return leaderMobilesNotList
     */
    public List<String> getLeaderMobilesNotList(){
        return this.leaderMobilesNotList;
    }

    /**
     * 设置 负责人电话，多个逗号分割
     * @param leaderMobilesNotList
     */
    public void setLeaderMobilesNotList(List<String> leaderMobilesNotList){
        this.leaderMobilesNotList = leaderMobilesNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public PerformPerposeQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public PerformPerposeQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public PerformPerposeQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public PerformPerposeQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public PerformPerposeQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public PerformPerposeQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  负责人id号
     * @param ownerId
     */
    public PerformPerposeQuery ownerId(Long ownerId){
        setOwnerId(ownerId);
        return this;
    }

    /**
     * 设置 开始 负责人id号
     * @param ownerIdStart
     */
    public PerformPerposeQuery ownerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
        return this;
    }

    /**
     * 设置 结束 负责人id号
     * @param ownerIdEnd
     */
    public PerformPerposeQuery ownerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
        return this;
    }

    /**
     * 设置 增加 负责人id号
     * @param ownerIdIncrement
     */
    public PerformPerposeQuery ownerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
        return this;
    }

    /**
     * 设置 负责人id号
     * @param ownerIdList
     */
    public PerformPerposeQuery ownerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
        return this;
    }

    /**
     * 设置 负责人id号
     * @param ownerIdNotList
     */
    public PerformPerposeQuery ownerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
        return this;
    }


    /**
     * 设置 负责人名称
     * @param ownerName
     */
    public PerformPerposeQuery ownerName(String ownerName){
        setOwnerName(ownerName);
        return this;
    }

    /**
     * 设置 负责人名称
     * @param ownerNameList
     */
    public PerformPerposeQuery ownerNameList(List<String> ownerNameList){
        this.ownerNameList = ownerNameList;
        return this;
    }

    /**
     * 设置  窗口工作人员id号
     * @param staffId
     */
    public PerformPerposeQuery staffId(Long staffId){
        setStaffId(staffId);
        return this;
    }

    /**
     * 设置 开始 窗口工作人员id号
     * @param staffIdStart
     */
    public PerformPerposeQuery staffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口工作人员id号
     * @param staffIdEnd
     */
    public PerformPerposeQuery staffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口工作人员id号
     * @param staffIdIncrement
     */
    public PerformPerposeQuery staffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
        return this;
    }

    /**
     * 设置 窗口工作人员id号
     * @param staffIdList
     */
    public PerformPerposeQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
        return this;
    }

    /**
     * 设置 窗口工作人员id号
     * @param staffIdNotList
     */
    public PerformPerposeQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
    }

    /**
     * 设置  请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentType
     */
    public PerformPerposeQuery assessmentType(Integer assessmentType){
        setAssessmentType(assessmentType);
        return this;
    }

    /**
     * 设置 开始 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeStart
     */
    public PerformPerposeQuery assessmentTypeStart(Integer assessmentTypeStart){
        this.assessmentTypeStart = assessmentTypeStart;
        return this;
    }

    /**
     * 设置 结束 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeEnd
     */
    public PerformPerposeQuery assessmentTypeEnd(Integer assessmentTypeEnd){
        this.assessmentTypeEnd = assessmentTypeEnd;
        return this;
    }

    /**
     * 设置 增加 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeIncrement
     */
    public PerformPerposeQuery assessmentTypeIncrement(Integer assessmentTypeIncrement){
        this.assessmentTypeIncrement = assessmentTypeIncrement;
        return this;
    }

    /**
     * 设置 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeList
     */
    public PerformPerposeQuery assessmentTypeList(List<Integer> assessmentTypeList){
        this.assessmentTypeList = assessmentTypeList;
        return this;
    }

    /**
     * 设置 请假类型(1.旷工率,2.缺卡率,3.迟到率,4.早退率,5.请假率,6.离岗率,7.睡觉率,8.玩手机率,9.办件超期率,10.差评率)
     * @param assessmentTypeNotList
     */
    public PerformPerposeQuery assessmentTypeNotList(List<Integer> assessmentTypeNotList){
        this.assessmentTypeNotList = assessmentTypeNotList;
        return this;
    }

    /**
     * 设置  考核范围(1.部门,2.个人)
     * @param assessmentScope
     */
    public PerformPerposeQuery assessmentScope(Integer assessmentScope){
        setAssessmentScope(assessmentScope);
        return this;
    }

    /**
     * 设置 开始 考核范围(1.部门,2.个人)
     * @param assessmentScopeStart
     */
    public PerformPerposeQuery assessmentScopeStart(Integer assessmentScopeStart){
        this.assessmentScopeStart = assessmentScopeStart;
        return this;
    }

    /**
     * 设置 结束 考核范围(1.部门,2.个人)
     * @param assessmentScopeEnd
     */
    public PerformPerposeQuery assessmentScopeEnd(Integer assessmentScopeEnd){
        this.assessmentScopeEnd = assessmentScopeEnd;
        return this;
    }

    /**
     * 设置 增加 考核范围(1.部门,2.个人)
     * @param assessmentScopeIncrement
     */
    public PerformPerposeQuery assessmentScopeIncrement(Integer assessmentScopeIncrement){
        this.assessmentScopeIncrement = assessmentScopeIncrement;
        return this;
    }

    /**
     * 设置 考核范围(1.部门,2.个人)
     * @param assessmentScopeList
     */
    public PerformPerposeQuery assessmentScopeList(List<Integer> assessmentScopeList){
        this.assessmentScopeList = assessmentScopeList;
        return this;
    }

    /**
     * 设置 考核范围(1.部门,2.个人)
     * @param assessmentScopeNotList
     */
    public PerformPerposeQuery assessmentScopeNotList(List<Integer> assessmentScopeNotList){
        this.assessmentScopeNotList = assessmentScopeNotList;
        return this;
    }

    /**
     * 设置  考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScope
     */
    public PerformPerposeQuery compareScope(Integer compareScope){
        setCompareScope(compareScope);
        return this;
    }

    /**
     * 设置 开始 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeStart
     */
    public PerformPerposeQuery compareScopeStart(Integer compareScopeStart){
        this.compareScopeStart = compareScopeStart;
        return this;
    }

    /**
     * 设置 结束 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeEnd
     */
    public PerformPerposeQuery compareScopeEnd(Integer compareScopeEnd){
        this.compareScopeEnd = compareScopeEnd;
        return this;
    }

    /**
     * 设置 增加 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeIncrement
     */
    public PerformPerposeQuery compareScopeIncrement(Integer compareScopeIncrement){
        this.compareScopeIncrement = compareScopeIncrement;
        return this;
    }

    /**
     * 设置 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeList
     */
    public PerformPerposeQuery compareScopeList(List<Integer> compareScopeList){
        this.compareScopeList = compareScopeList;
        return this;
    }

    /**
     * 设置 考比较类型(1.不高于,2.等于,3.不低于)
     * @param compareScopeNotList
     */
    public PerformPerposeQuery compareScopeNotList(List<Integer> compareScopeNotList){
        this.compareScopeNotList = compareScopeNotList;
        return this;
    }

    /**
     * 设置  比例
     * @param ratio
     */
    public PerformPerposeQuery ratio(BigDecimal ratio){
        setRatio(ratio);
        return this;
    }

    /**
     * 设置 开始 比例
     * @param ratioStart
     */
    public PerformPerposeQuery ratioStart(BigDecimal ratioStart){
        this.ratioStart = ratioStart;
        return this;
    }

    /**
     * 设置 结束 比例
     * @param ratioEnd
     */
    public PerformPerposeQuery ratioEnd(BigDecimal ratioEnd){
        this.ratioEnd = ratioEnd;
        return this;
    }

    /**
     * 设置 增加 比例
     * @param ratioIncrement
     */
    public PerformPerposeQuery ratioIncrement(BigDecimal ratioIncrement){
        this.ratioIncrement = ratioIncrement;
        return this;
    }

    /**
     * 设置 比例
     * @param ratioList
     */
    public PerformPerposeQuery ratioList(List<BigDecimal> ratioList){
        this.ratioList = ratioList;
        return this;
    }

    /**
     * 设置 比例
     * @param ratioNotList
     */
    public PerformPerposeQuery ratioNotList(List<BigDecimal> ratioNotList){
        this.ratioNotList = ratioNotList;
        return this;
    }

    /**
     * 设置  周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodType
     */
    public PerformPerposeQuery periodType(Integer periodType){
        setPeriodType(periodType);
        return this;
    }

    /**
     * 设置 开始 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeStart
     */
    public PerformPerposeQuery periodTypeStart(Integer periodTypeStart){
        this.periodTypeStart = periodTypeStart;
        return this;
    }

    /**
     * 设置 结束 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeEnd
     */
    public PerformPerposeQuery periodTypeEnd(Integer periodTypeEnd){
        this.periodTypeEnd = periodTypeEnd;
        return this;
    }

    /**
     * 设置 增加 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeIncrement
     */
    public PerformPerposeQuery periodTypeIncrement(Integer periodTypeIncrement){
        this.periodTypeIncrement = periodTypeIncrement;
        return this;
    }

    /**
     * 设置 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeList
     */
    public PerformPerposeQuery periodTypeList(List<Integer> periodTypeList){
        this.periodTypeList = periodTypeList;
        return this;
    }

    /**
     * 设置 周期类型(1.全年,2.半年,3.季度4.月份)
     * @param periodTypeNotList
     */
    public PerformPerposeQuery periodTypeNotList(List<Integer> periodTypeNotList){
        this.periodTypeNotList = periodTypeNotList;
        return this;
    }

    /**
     * 设置  年
     * @param year
     */
    public PerformPerposeQuery year(Integer year){
        setYear(year);
        return this;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public PerformPerposeQuery yearStart(Integer yearStart){
        this.yearStart = yearStart;
        return this;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public PerformPerposeQuery yearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
        return this;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public PerformPerposeQuery yearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
        return this;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public PerformPerposeQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
        return this;
    }

    /**
     * 设置 年
     * @param yearNotList
     */
    public PerformPerposeQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
    }

    /**
     * 设置  月
     * @param month
     */
    public PerformPerposeQuery month(Integer month){
        setMonth(month);
        return this;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public PerformPerposeQuery monthStart(Integer monthStart){
        this.monthStart = monthStart;
        return this;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public PerformPerposeQuery monthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
        return this;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public PerformPerposeQuery monthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
        return this;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public PerformPerposeQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
        return this;
    }

    /**
     * 设置 月
     * @param monthNotList
     */
    public PerformPerposeQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
    }

    /**
     * 设置  半年类型(1.上半年,2.下半年)
     * @param halfYear
     */
    public PerformPerposeQuery halfYear(Integer halfYear){
        setHalfYear(halfYear);
        return this;
    }

    /**
     * 设置 开始 半年类型(1.上半年,2.下半年)
     * @param halfYearStart
     */
    public PerformPerposeQuery halfYearStart(Integer halfYearStart){
        this.halfYearStart = halfYearStart;
        return this;
    }

    /**
     * 设置 结束 半年类型(1.上半年,2.下半年)
     * @param halfYearEnd
     */
    public PerformPerposeQuery halfYearEnd(Integer halfYearEnd){
        this.halfYearEnd = halfYearEnd;
        return this;
    }

    /**
     * 设置 增加 半年类型(1.上半年,2.下半年)
     * @param halfYearIncrement
     */
    public PerformPerposeQuery halfYearIncrement(Integer halfYearIncrement){
        this.halfYearIncrement = halfYearIncrement;
        return this;
    }

    /**
     * 设置 半年类型(1.上半年,2.下半年)
     * @param halfYearList
     */
    public PerformPerposeQuery halfYearList(List<Integer> halfYearList){
        this.halfYearList = halfYearList;
        return this;
    }

    /**
     * 设置 半年类型(1.上半年,2.下半年)
     * @param halfYearNotList
     */
    public PerformPerposeQuery halfYearNotList(List<Integer> halfYearNotList){
        this.halfYearNotList = halfYearNotList;
        return this;
    }

    /**
     * 设置  季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarter
     */
    public PerformPerposeQuery quarter(Integer quarter){
        setQuarter(quarter);
        return this;
    }

    /**
     * 设置 开始 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterStart
     */
    public PerformPerposeQuery quarterStart(Integer quarterStart){
        this.quarterStart = quarterStart;
        return this;
    }

    /**
     * 设置 结束 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterEnd
     */
    public PerformPerposeQuery quarterEnd(Integer quarterEnd){
        this.quarterEnd = quarterEnd;
        return this;
    }

    /**
     * 设置 增加 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterIncrement
     */
    public PerformPerposeQuery quarterIncrement(Integer quarterIncrement){
        this.quarterIncrement = quarterIncrement;
        return this;
    }

    /**
     * 设置 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterList
     */
    public PerformPerposeQuery quarterList(List<Integer> quarterList){
        this.quarterList = quarterList;
        return this;
    }

    /**
     * 设置 季度类型(1.第一季度,2.第二季度, 3.第三季度,4.第四季度)
     * @param quarterNotList
     */
    public PerformPerposeQuery quarterNotList(List<Integer> quarterNotList){
        this.quarterNotList = quarterNotList;
        return this;
    }


    /**
     * 设置 负责人，多个逗号分割
     * @param leaders
     */
    public PerformPerposeQuery leaders(String leaders){
        setLeaders(leaders);
        return this;
    }

    /**
     * 设置 负责人，多个逗号分割
     * @param leadersList
     */
    public PerformPerposeQuery leadersList(List<String> leadersList){
        this.leadersList = leadersList;
        return this;
    }


    /**
     * 设置 负责人电话，多个逗号分割
     * @param leaderMobiles
     */
    public PerformPerposeQuery leaderMobiles(String leaderMobiles){
        setLeaderMobiles(leaderMobiles);
        return this;
    }

    /**
     * 设置 负责人电话，多个逗号分割
     * @param leaderMobilesList
     */
    public PerformPerposeQuery leaderMobilesList(List<String> leaderMobilesList){
        this.leaderMobilesList = leaderMobilesList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public PerformPerposeQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public PerformPerposeQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public PerformPerposeQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public PerformPerposeQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public PerformPerposeQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public PerformPerposeQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public PerformPerposeQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public PerformPerposeQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public PerformPerposeQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public PerformPerposeQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public PerformPerposeQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public PerformPerposeQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public PerformPerposeQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public PerformPerposeQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<PerformPerposeQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<PerformPerposeQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<PerformPerposeQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<PerformPerposeQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}